[systemd-commits] src/udev
Kay Sievers
kay at kemper.freedesktop.org
Wed Apr 11 15:09:28 PDT 2012
src/udev/keymap/check-keymaps.sh | 10 +++++-----
1 file changed, 5 insertions(+), 5 deletions(-)
New commits:
commit e8854556417197e195196e94c74bc01ff5d064ff
Author: Kay Sievers <kay at vrfy.org>
Date: Thu Apr 12 00:08:26 2012 +0200
udev: check-keymaps.sh - fix source directory
diff --git a/src/udev/keymap/check-keymaps.sh b/src/udev/keymap/check-keymaps.sh
index 405168c..765e582 100755
--- a/src/udev/keymap/check-keymaps.sh
+++ b/src/udev/keymap/check-keymaps.sh
@@ -4,9 +4,9 @@
# and that all key maps listed in the rules are valid and present in
# Makefile.am
SRCDIR=${1:-.}
-KEYLIST=${2:-src/keymap/keys.txt}
-KEYMAPS_DIR=$SRCDIR/src/keymap/keymaps
-RULES=$SRCDIR/src/keymap/95-keymap.rules
+KEYLIST=${2:-src/udev/keymap/keys.txt}
+KEYMAPS_DIR=$SRCDIR/src/udev/keymap/keymaps
+RULES=$SRCDIR/src/udev/keymap/95-keymap.rules
[ -e "$KEYLIST" ] || {
echo "need $KEYLIST please build first" >&2
@@ -16,7 +16,7 @@ RULES=$SRCDIR/src/keymap/95-keymap.rules
missing=$(join -v 2 <(awk '{print tolower(substr($1,5))}' $KEYLIST | sort -u) \
<(grep -hv '^#' ${KEYMAPS_DIR}/*| awk '{print $2}' | sort -u))
[ -z "$missing" ] || {
- echo "ERROR: unknown key names in src/keymap/keymaps/*:" >&2
+ echo "ERROR: unknown key names in src/udev/keymap/keymaps/*:" >&2
echo "$missing" >&2
exit 1
}
@@ -31,7 +31,7 @@ for m in $maps; do
echo "ERROR: unknown map name in $RULES: $m" >&2
exit 1
}
- grep -q "src/keymap/keymaps/$m\>" $SRCDIR/Makefile.am || {
+ grep -q "src/udev/keymap/keymaps/$m\>" $SRCDIR/Makefile.am || {
echo "ERROR: map file $m is not added to Makefile.am" >&2
exit 1
}
More information about the systemd-commits
mailing list